## org.apache.http.impl.io
Class IdentityOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.http.impl.io.IdentityOutputStream

All Implemented Interfaces:
  Closeable, Flushable

    @NotThreadSafe
    public class IdentityOutputStream

extends OutputStream

Output stream that writes data without any transformation. The end of the content entity is demarcated by closing the underlying connection (EOF condition). Entities transferred using this input stream can be of unlimited length.

Note that this class NEVER closes the underlying stream, even when close gets called. Instead, the stream will be marked as closed and no further output will be permitted.

Since:
  4.0

Constructor Summary
`IdentityOutputStream(SessionOutputBuffer out)`

Method Summary
`void` `close()` Does not close the underlying socket output.
`void` `flush()`
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityOutputStream

    public IdentityOutputStream(SessionOutputBuffer out)

Method Detail

### close

    public void close()
               throws IOException

  Does not close the underlying socket output.

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException` - If an I/O problem occurs.

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(int b)
               throws IOException

  Specified by:
    `write` in class `OutputStream`
  Throws:
    `IOException`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.